> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/resource-definitions/query.md).

# Query

## Get

Any query resource returned by a `get` request will contain the following properties:

```javascript
{
    "kind": "query",
    "uri": string,
    "id": string,
    "status": string("queued","running","completed","failed"),
    "errorMessage": string,
    "outputNumRows": integer,
    "outputNumBytes": integer,
    "outputSchema": [
        { 
            "name": string,
            "type": string("string", "float", "integer", "boolean", "date", "dateTime", "time", "geography")
        }   
    ],
}
```

## Documentation

| field                |                                                                                                                                                                                    |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Get**              |                                                                                                                                                                                    |
| kind                 | <p><strong>string</strong></p><p>The resource type. Will always be "query".</p>                                                                                                    |
| uri                  | <p><strong>string</strong></p><p>The fully qualified URI of this query, for use in generating calls to this API. </p><p>For example, <code>/queries/1234</code></p>                |
| id                   | <p><strong>integer</strong></p><p>The unique identifier for the query</p>                                                                                                          |
| status               | <p><strong>string</strong></p><p>The current status of the query. Will be one of <code>"queued", "running", "completed", "failed"</code></p>                                       |
| errorMessage         | <p><strong>string</strong></p><p>If <code>status == "failed"</code>, will provide additional information about what cause the query failure.</p>                                   |
| outputNumRows        | <p><strong>integer</strong></p><p>The number of rows in the query result. Will be <code>null</code> until the query status is <code>completed</code></p>                           |
| outputNumBytes       | <p><strong>integer</strong></p><p>The number of bytes in the query result. Will be <code>null</code> until the query status is <code>completed</code></p>                          |
| outputSchema\[]      | <p><strong>array(object)</strong></p><p>Information about the schema (columns) of the query result. Will be <code>null</code> until the query status is <code>completed</code></p> |
| outputSchema\[].name | <p><strong>string</strong></p><p>The name of the column</p>                                                                                                                        |
| outputSchema\[].type | <p><strong>string</strong></p><p>The type of the column. Will be one of:</p><p>"string", "float", "integer", "boolean", "date", "dateTime", "time", "geography"</p>                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/resource-definitions/query.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
